<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class WbsettingDescriptions extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
         Schema::create('wbsetting_descriptions', function (Blueprint $table) {
            $table->id();
            $table->text('value')->nullable();
           

            $table->unsignedBigInteger('wbsetting_id')->nullable();
            $table->unsignedBigInteger('language_id')->nullable();

            $table->foreign('wbsetting_id')->references('id')->on('wbsettings');
            $table->foreign('language_id')->references('id')->on('languages');
            $table->index(['wbsetting_id', 'language_id']);

            // Set engine to InnoDB it's useful in join and constraint
            $table->engine = 'InnoDB';
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
